<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="STEP" id="0">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
if (isNotFrozen()) {
  moveTo(xVel, yVel);

  if (collision_point(x+8, y+8, oSolid, 0, 0)) hp = -999;

  if (hp &lt; 1) {
    if (countsAsKill) {
      if (isRealLevel()) global.enemyKills[22] += 1;
    }
    if (explosive) instance_create(x+8, y+8, oExplosion); else scrCreateBlood(x+8, y+8, 3);
    if (carries != "") scrMakeItem(carries, x+8, y+8);
    instance_destroy();
  }

  dir = 0;
  dist = point_distance(x+8, y+8, oCharacter.x, oCharacter.y);

  if (status == IDLE) {
    if (xVel &gt; 0) xVel -= slow;
    if (yVel &gt; 0) yVel -= slow;
    if (xVel &lt; 0) xVel += slow;
    if (yVel &lt; 0) yVel += slow;
    if (abs(xVel) &lt; 1) xVel = 0;
    if (abs(yVel) &lt; 1) yVel = 0;

    if (xVel == 0 and yVel == 0 and counter &gt; 0) counter -= 1;

    if (counter == 0 and xVel &lt; 1 and yVel &lt; 1) {
      if (dist &lt; range) {
        dir = point_direction(x+8, y+8, oCharacter.x, oCharacter.y); //+180
      } else {
        dir = rand(0, 360);
      }
      xVel = iVel * cos(degtorad(dir));
      yVel = -iVel * sin(degtorad(dir));
      counter = ceil(rand(waitMin, waitMax)*room_speed);
    }

    if (isCollisionRight(1) and xVel &gt; 0) {
      xVel = -xVel;
      yVel = -iVel * sin(degtorad(rand(180, 360)));
    }
    if (isCollisionLeft(1) and xVel &lt; 0) {
      xVel = -xVel;
      yVel = -iVel * sin(degtorad(rand(1, 180)));
    }
    if (isCollisionTop(1) and yVel &lt; 0) {
      xVel = iVel * cos(degtorad(rand(90, 270)));
      yVel = -yVel;
    }
    if (isCollisionBottom(1) and yVel &gt; 0) {
      xVel = iVel * cos(degtorad(choose(rand(270, 360), rand(1, 90))));
      yVel = -yVel;
    }
  }
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
